<?php

function jss_sf_form_shortcode_func($atts)
{
    global $wpdb;
    extract(shortcode_atts(array(
        'banner_id' => ''
                    ), $atts));


    $jss_sf_content = 'Shortcode not loaded';
    $banner_id = false;

    if($_GET)
    {
        if(isset($_GET['jss_sf_id']))
        {
            $banner_id = trim($_GET['jss_sf_id']);
        }
    }

    if($banner_id)
    {
        $table_name_banners = $wpdb->prefix . 'jss_sf_banners';
        $querystr = "
       SELECT $table_name_banners.* 
       FROM $table_name_banners
       WHERE $table_name_banners.id = $banner_id 
       LIMIT 1
    ";

        $banner_info = $wpdb->get_row($querystr, OBJECT);

        if($_POST && isset($_POST['jss_sf_banner_submit']))
        {
            $email = $wpdb->escape($_POST['email']);
            $first_name = $wpdb->escape($_POST['first_name']);
            $last_name = $wpdb->escape($_POST['last_name']);
            $banner_id = $wpdb->escape($_POST['banner_id']);
            $banner_title = $wpdb->escape($_POST['banner_title']);

            $affected_rows = false;

            if($email && $first_name && $last_name)
            {

                $table_name = $wpdb->prefix . "jss_sf_members";

                $data_array = array(
                    'banner_id' => $banner_id,
                    'banner_title' => $banner_title,
                    'email' => $email,
                    'first_name' => $first_name,
                    'last_name' => $last_name,
                    'created_at' => date('Y-m-d H:i:s')
                );

                $affected_rows = $wpdb->insert($table_name, $data_array);

                if($affected_rows)
                {
                    $success = __('Submitted successfully. Thank you for your interest.');
                }
            }
            else
            {
                $notice = __('Please fill in all the fields correctly.');
            }
        }

        if($banner_info)
        {
            ob_start();
            ?>
            <style type="text/css">
                .jss_sf_form_wrapper
                {
                    display: block; 
                }
                .jss_sf_form_wrapper .banner_section
                {
                    display: block;
                    width: 100%;
                    text-align: center;
                }
                .jss_sf_form_wrapper .banner_section img
                {
                    display: block;
                }
                .jss_sf_form_wrapper .banner_desciption
                {
                    display: block;
                    padding: 10px 0;
                }
                .jss_sf_form_wrapper .error_message
                {
                    display: block;
                    color: red;
                }
                .jss_sf_form_wrapper .success_message
                {
                    display: block;
                    color: green;
                }
                .jss_sf_form_wrapper #banner_click_form
                {
                    display: block;
                    width: 100%;
                }
                .jss_sf_form_wrapper label, .jss_sf_form_wrapper input
                {
                    display: inline-block;
                    margin-right: 10px;
                    margin-bottom: 5px;
                    width: 170px;
                }
                .jss_sf_form_wrapper input[type="submit"]
                {
                    width: 184px;
                }
            </style>
            <div class="jss_sf_form_wrapper">
                <div class="banner_section">
                    <?php
                    $upload_dir = wp_upload_dir();
                    $upload_dir_url = $upload_dir['baseurl'];
                    ?>
                    <img src="<?php echo $upload_dir_url . '/jss_sf_banners/' . $banner_info->banner; ?>" alt="Banner" />
                    <?php
                    ?>
                </div>
                <div class="banner_desciption">
                    <?php
                    echo $banner_info->description;
                    ?>
                </div>
                <form name="banner_click_form" method="post" id="banner_click_form">
                    <input type="text" name="first_name" placeholder="First Name" class="required" />
                    <input type="text" name="last_name" placeholder="Last Name" class="required" /><br/>
                    <input type="email" name="email" placeholder="Email" class="required email" />
                    <input type="hidden" name="banner_id" value="<?php echo $banner_id; ?>" />
                    <input type="hidden" name="banner_title" value="<?php echo $banner_info->title; ?>" />
                    <input type="submit" name="jss_sf_banner_submit" value="Submit" />
                </form>
                <div class="error_message"><?php if(isset($notice)) echo $notice; ?></div>
                <div class="success_message"><?php if(isset($success)) echo $success; ?></div>
                <div style="clear: both;"></div>
            </div>
            <?php
            $jss_sf_content = ob_get_clean();
        }
    }
    return $jss_sf_content;
}

add_shortcode('jss_sf_banners_form', 'jss_sf_form_shortcode_func');

function jss_sf_banners_shortcode_func($atts)
{
    global $wpdb;
    extract(shortcode_atts(array(
        'redirect_slug' => ''
                    ), $atts));


    $jss_sf_content = 'Shortcode not loaded';

    if($redirect_slug)
    {
        $table_name_banners = $wpdb->prefix . 'jss_sf_banners';
        $querystr = "
       SELECT $table_name_banners.* 
       FROM $table_name_banners
       WHERE $table_name_banners.banner != ''
    ";


        $banners = $wpdb->get_results($querystr, OBJECT);

        //print_r($banners);

        if($banners)
        {
            ob_start();
            ?>
            <!-- bxSlider Javascript file -->
            <script src="<?php echo JSS_SF_PLUGIN_URL; ?>/bxslider/jquery.bxslider.js"></script>
            <!-- bxSlider CSS file -->
            <link href="<?php echo JSS_SF_PLUGIN_URL; ?>/bxslider/jquery.bxslider.css" rel="stylesheet" />

            <style type="text/css">
                .banner_scroll_wrapper
                {
                    max-width: 320px;
                }
                .banner_scroll_wrapper li
                {
                    margin: 0;
                }
            </style>
            <div class="banner_scroll_wrapper">


                <ul class="bxslider">
                    <?php
                    $upload_dir = wp_upload_dir();
                    $upload_dir_url = $upload_dir['baseurl'];
                    foreach ($banners as $key => $value):
                        ?>
                        <li><a href="<?php echo home_url() . '/' . $redirect_slug . '?jss_sf_id=' . $value->id; ?>"><img title="<?php echo $value->description; ?>" src="<?php echo $upload_dir_url . '/jss_sf_banners/' . $value->banner; ?>" /></a></li>
                        <?php
                    endforeach;
                    ?>
                </ul>
                <div style="clear: both;"></div>
            </div>
            <script type="text/javascript">
                jQuery(document).ready(function() {
                    jQuery('.bxslider').bxSlider({
                        captions: true,
                        auto: true,
            //                    autoControls: true,
                        controls: false,
                        pager: false
                    });
                });
            </script>
            <?php
            $jss_sf_content = ob_get_clean();
        }
    }
    return $jss_sf_content;
}

add_shortcode('jss_sf_banners_scroll', 'jss_sf_banners_shortcode_func');
?>
